#!/bin/sh

BASE_URL='http://www.eecis.udel.edu/~ntp/ntp_spool/ntp4/ntp-4.2/'
VERSION='ntp-4.2.8'
echo 'using ntpd tarball from http://www.eecis.udel.edu/~ntp/ntp_spool/ntp4/ ...'

# remove previosly downloaded files
test -d $VERSION && rm -Rf $VERSION

URL='http://www.eecis.udel.edu/~ntp/ntp_spool/ntp4/'$VERSION'.tar.gz'

# download ntpd
if [ -f $VERSION'.tar.gz' ]
then
  echo 'skip downloading '$URL
else
  wget $URL || echo 'error downloading '$URL
fi
  
test -e $VERSION.tar.gz || exit

# extract sources
tar -xzvpf $VERSION.tar.gz
cd $VERSION

# patch testdcf
echo ""
patch -p1 < ../testdcf.diff
patch -p1 < ../mod_nano.diff
  
# compile sources
echo ""
./configure --enable-LOCAL-CLOCK --enable-RAWDCF --enable-HOPF6021 --enable-NMEA
make
# make install
